Name:		sakura
Summary:	A lightweight terminal emulator with very few dependencies
Version:	3.8.9
Release:	%mkrel 1
License:	GPLv2
Group:		Terminals
Url:		https://launchpad.net/sakura
Source0:	https://launchpad.net/sakura/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(glib-2.0) >= 2.20
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	cmake
BuildRequires:	gettext

%description
Sakura is a terminal emulator based on GTK and VTE. It's a terminal emulator
with few dependencies, so you don't need a full GNOME desktop installed to have
a decent terminal emulator. Current terminal emulators based on VTE are
gnome-terminal, XFCE Terminal, TermIt and a small sample program included in
the vte sources. The differences between sakura and the last one are that it
uses a notebook to provide several terminals in one window and adds a
contextual menu with some basic options. No more no less. 

%prep
%autosetup -p1

%build
%cmake \
	-DLIB_INSTALL_DIR=%{_libdir}
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_docdir}/%{name}/INSTALL
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/terminal-tango.svg
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Jul 06 2025 daviddavid <daviddavid> 3.8.9-1.mga10
+ Revision: 2247295
- new version: 3.8.9

* Sun Jun 29 2025 umeabot <umeabot> 3.8.8-2.mga10
+ Revision: 2225636
- Mageia 10 Mass Rebuild

* Sun Aug 18 2024 daviddavid <daviddavid> 3.8.8-1.mga10
+ Revision: 2086911
- new version: 3.8.8

* Mon Sep 04 2023 daviddavid <daviddavid> 3.8.7-1.mga10
+ Revision: 1984151
- new version: 3.8.7

* Mon Nov 14 2022 daviddavid <daviddavid> 3.8.6-1.mga9
+ Revision: 1907155
- new version: 3.8.6

* Thu Oct 20 2022 ghibo <ghibo> 3.8.5-1.mga9
+ Revision: 1897827
- Update to release 3.8.5

* Thu Mar 31 2022 umeabot <umeabot> 3.8.4-2.mga9
+ Revision: 1835729
- Mageia 9 Mass Rebuild

* Thu Jan 13 2022 mrambo3501 <mrambo3501> 3.8.4-1.mga9
+ Revision: 1768250
- version 3.8.4

* Mon May 18 2020 daviddavid <daviddavid> 3.7.1-1.mga8
+ Revision: 1585764
- new version: 3.7.1

* Sun Feb 16 2020 umeabot <umeabot> 3.7.0-2.mga8
+ Revision: 1530506
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Aug 30 2019 daviddavid <daviddavid> 3.7.0-1.mga8
+ Revision: 1435361
- new version: 3.7.0

* Sun Apr 14 2019 daviddavid <daviddavid> 3.6.0-3.mga7
+ Revision: 1390124
- add patch to fix crash with vte 0.54
- add patch to add Keywords field to desktop file

* Sun Sep 23 2018 umeabot <umeabot> 3.6.0-2.mga7
+ Revision: 1300918
- Mageia 7 Mass Rebuild

* Sat May 19 2018 daviddavid <daviddavid> 3.6.0-1.mga7
+ Revision: 1230476
- new version: 3.6.0

* Sat Jan 06 2018 daviddavid <daviddavid> 3.5.0-1.mga7
+ Revision: 1190757
- new version: 3.5.0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Nov 23 2015 alexl <alexl> 3.3.1-1.mga6
+ Revision: 905085
- version 3.3.1
- del upstreamed genericname.patch

* Sun Nov 22 2015 alexl <alexl> 3.3.0-1.mga6
+ Revision: 904891
- version 3.3.0
- add GenericName in desktop file
- s/makeinstall_std/make_install/

* Wed Oct 15 2014 umeabot <umeabot> 3.1.5-3.mga5
+ Revision: 751216
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.5-2.mga5
+ Revision: 689021
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 3.1.5-1.mga5
+ Revision: 668854
- 3.1.5
- add patch to build with new vte

* Sun Apr 13 2014 alexl <alexl> 3.1.3-1.mga5
+ Revision: 613869
- imported package sakura

